import * as $dara from '@darabonba/typescript';
export declare class CreateNatGatewayResponseBodyBandwidthPackageIds extends $dara.Model {
    bandwidthPackageId?: string[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateNatGatewayResponseBodyForwardTableIds extends $dara.Model {
    forwardTableId?: string[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateNatGatewayResponseBody extends $dara.Model {
    bandwidthPackageIds?: CreateNatGatewayResponseBodyBandwidthPackageIds;
    forwardTableIds?: CreateNatGatewayResponseBodyForwardTableIds;
    natGatewayId?: string;
    requestId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
